---
lang: en
title: 'API docs: rest.baseroute'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.baseroute.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [BaseRoute](./rest.baseroute.md)

## BaseRoute class

Base implementation of RouteEntry

<b>Signature:</b>

```typescript
export declare abstract class BaseRoute implements RouteEntry 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(verb, path, spec)](./rest.baseroute._constructor_.md) |  | Construct a new route |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [path](./rest.baseroute.path.md) |  | <code>string</code> |  |
|  [spec](./rest.baseroute.spec.md) |  | <code>OperationObject</code> |  |
|  [verb](./rest.baseroute.verb.md) |  | <code>string</code> |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [describe()](./rest.baseroute.describe.md) |  |  |
|  [invokeHandler(requestContext, args)](./rest.baseroute.invokehandler.md) |  |  |
|  [updateBindings(requestContext)](./rest.baseroute.updatebindings.md) |  |  |


